apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultAuth
metadata:
  name: auth
  namespace: {{ .Release.Namespace }}
spec:
  method: kubernetes
  mount: kubernetes
  kubernetes:
    role: {{ .Values.vault.k8sRole }}
    serviceAccount: {{ include "erp.serviceAccountName" . }}
    audiences:
      - vault